[API Reference](../README.md) > [TruffleContract](../interfaces/TruffleContract.md)



# Interface: TruffleContract


## Properties
<a id="at"></a>

###  at

**●  at**:  *`function`* 

*Defined in [commonTypes.ts:75](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L75)*



Returns a promise of an existing instance of the contract. Note that the so-called promise returned by Truffle only supplies a 'then' function, You have to call 'then' to get the real promise.

#### Type declaration
►(address: *`string`*): `Promise`.<`any`>



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<`any`>






___

<a id="deployed"></a>

###  deployed

**●  deployed**:  *`function`* 

*Defined in [commonTypes.ts:81](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L81)*



Returns a promise of the deployed instance of the contract. Note that the so-called promise returned by Truffle only supplies a 'then' function, You have to call 'then' to get the real promise.

#### Type declaration
►(): `Promise`.<`any`>





**Returns:** `Promise`.<`any`>






___

<a id="new"></a>

###  new

**●  new**:  *`function`* 

*Defined in [commonTypes.ts:69](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L69)*



Migrate a new instance of the contract. Returns promise of being migrated. Note that the so-called promise returned by Truffle only supplies a 'then' function, You have to call 'then' to get the real promise.

#### Type declaration
►(...rest: *`Array`.<`any`>*): `Promise`.<`any`>



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<`any`>






___


